Package com.jangular.backend.repository

# Interface RoleRepository

All Superinterfaces:
  `org.springframework.data.repository.CrudRepository<Role,Long>`, `org.springframework.data.jpa.repository.JpaRepository<Role,Long>`, `org.springframework.data.repository.ListCrudRepository<Role,Long>`, `org.springframework.data.repository.ListPagingAndSortingRepository<Role,Long>`, `org.springframework.data.repository.PagingAndSortingRepository<Role,Long>`, `org.springframework.data.repository.query.QueryByExampleExecutor<Role>`, `org.springframework.data.repository.Repository<Role,Long>`

public interface RoleRepository extends org.springframework.data.jpa.repository.JpaRepository<Role,Long>

## Method Summary

Modifier and Type
Method
Description
`Optional<Role>`
`findByName(RoleName roleName)`

### Methods inherited from interface org.springframework.data.repository.CrudRepository

`count, delete, deleteAll, deleteAll, deleteAllById, deleteById, existsById, findById, save`

### Methods inherited from interface org.springframework.data.jpa.repository.JpaRepository

`deleteAllByIdInBatch, deleteAllInBatch, deleteAllInBatch, deleteInBatch, findAll, findAll, flush, getById, getOne, getReferenceById, saveAllAndFlush, saveAndFlush`

### Methods inherited from interface org.springframework.data.repository.ListCrudRepository

`findAll, findAllById, saveAll`

### Methods inherited from interface org.springframework.data.repository.ListPagingAndSortingRepository

`findAll`

### Methods inherited from interface org.springframework.data.repository.PagingAndSortingRepository

`findAll`

### Methods inherited from interface org.springframework.data.repository.query.QueryByExampleExecutor

`count, exists, findAll, findBy, findOne`

## Method Details

### findByName

Optional<Role> findByName(RoleName roleName)